﻿topicarray["4154f094f912fed24a7048491d90b5e0"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eDynamic manipulation of the lists of toggle fields or list box fields\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"introduction\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eDescription\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe LISTADDITEM, LISTINSERTITEM, LISTDELETEITEM and LISTCLEAR functions are used for the dynamic manipulation of the lists of toggle fields or list box fields.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThese functions only have an effect on variables that have their own list, such as: \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e\"Simple\" list\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eDEF VAR_AC1 = (I/* 0,1,2,3,4,5,6,7,8)\u003c/span\u003e\u003cspan\u003e or\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e\"Extended\" list\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eDEF VAR_AC2 = (I/* 0=\"AC0\", 1=\"AC1\", 2=\"AC2\", 3=\"AC3\", 4=\"AC4\", 5=\"AC5\", 6=\"AC6\", 7=\"AC7\", 8=\"AC8\").\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf the variable points to an array, e.g. \u003c/span\u003e\u003cspan class=\"code\"\u003eDEF VAR_AC3 = (I/* MYARRAY)\u003c/span\u003e\u003cspan\u003e, these functions are not available as otherwise the global array would be changed.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAt least one value must be defined for the variable in the DEF line. This specifies the \"Simple\" or \"Extended\" list type.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eHowever, the list can then be completely deleted and, if required, completely rebuilt. The \"Simple\" or \"Extended\" type must be retained however, it cannot be changed dynamically.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eProgramming  \u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eFunction\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eLISTADDITEM)\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eFunction\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eLISTINSERTITEM\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eFunction\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eLISTDELETEITEM\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eFunction\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eLISTCLEAR)\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eFunction\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eLISTCOUNT)\u003c/span\u003e\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"33.4%\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSyntax:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"b\"\u003eLISTINSERTITEM\u003c/span\u003e\u003cspan class=\"i\"\u003e\u003cspan class=\"i\"\u003e(Variable name, Position, ItemValue[, ItemDispValue])\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDescription:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eInserts an element at a specific position; reading from a file\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eParameter:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eVariable name\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePosition\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePosition at which an element is to be inserted in the list\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eItemValue\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValue of the list entry\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eItemDispValue\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValue as it is to be displayed in the list\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"33.3%\" /\u003e\u003ccol width=\"33.4%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"33.4%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSyntax:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eLISTADDITEM\u003c/span\u003e\u003cspan\u003e(Variable name, ItemValue[, ItemDispValue])\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDescription:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAdds an element to the end of the list\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eParameter:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eVariable name\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eItemValue\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValue of the list entry\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eItemDispValue\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValue as it is to be displayed in the list\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"33.4%\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSyntax:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eLISTDELETEITEM\u003c/span\u003e\u003cspan\u003e(Variable name, Position)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDescription:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDeletes a specific element\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eParameter:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eVariable name\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePosition\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePosition of the element to be deleted in the list\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"33.4%\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSyntax:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eLISTCOUNT\u003c/span\u003e\u003cspan\u003e(Variable name)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDescription:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eReturns the current number of elements in the list\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eParameter:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eVariable name\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"33.4%\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSyntax:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"b\"\u003eLISTCLEAR\u003c/span\u003e\u003cspan class=\"i\"\u003e\u003cspan class=\"i\"\u003e(Variable name)\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDescription:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDeletes the complete list\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eParameter:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eVariable name\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eExamples\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following examples build upon each other. The sequence of the examples is relevant in order to understand the respective results. \u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eRequirement/assumption:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eDEF VAR_AC = (I/* 0=\"Off\",1=\"On\"/1/,\"Switch\"/WR2)\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eAdding an element -1=\"Undefined\" to the end of the list:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eLISTADDITEM(\"VAR_AC\", -1, \"\"\"Undefined\"\"\")\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eResult: \u003c/span\u003e\u003cspan class=\"code\"\u003e0=\"Off\", 1=\"On\", -1=\"Undefined\"\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eInserting an element 99=\"Maybe\" at position 2:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eLISTINSERTITEM(\"VAR_AC\", 2, 99, \"\"\"Maybe\"\"\")\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eResult: \u003c/span\u003e\u003cspan class=\"code\"\u003e0=\"Off\", 1=\"On\", 99=\"Maybe\", -1=\"Undefined\"\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eDetermining the current number of list elements:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREG[10]=LISTCOUNT(\"VAR_AC\")\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eResult:   REG[10] = 4\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eDeleting the element at position 1:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eLISTDELETEITEM(\"VAR_AC\", 1)\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eResult: \u003c/span\u003e\u003cspan class=\"code\"\u003e0=\"Off\", 99=\"Maybe\", -1=\"Undefined\"\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eDeletion of the complete list:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eLISTCLEAR(\"VAR_AC\")\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eResult: List is empty\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}